> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Authenticate Google Id Token

> Authenticates a Google ID token obtained via native Android Google Sign-In. Calls the `POST /sdk/v1/oauth/google/id_token/authenticate` endpoint.

## Parameters

**idToken** `String` *required*

**sessionDurationMinutes** `Int` *required*

**nonce** `String?`

**oauthAttachToken** `String?`

## Returns

**requestId** `String` *required*

**userId** `String` *required*

**providerSubject** `String` *required*

**session** `ApiSessionV1Session` *required*

**properties**

**sessionId** `String` *required*

**userId** `String` *required*

**authenticationFactors** `List\<ApiSessionV1AuthenticationFactor\>` *required*

**properties**

**type** `ApiSessionV1AuthenticationFactorType` *required*

**deliveryMethod** `ApiSessionV1AuthenticationFactorDeliveryMethod` *required*

**lastAuthenticatedAt** `Instant?`

**createdAt** `Instant?`

**updatedAt** `Instant?`

**emailFactor** `ApiSessionV1EmailFactor?`

**phoneNumberFactor** `ApiSessionV1PhoneNumberFactor?`

**googleOauthFactor** `ApiSessionV1GoogleOAuthFactor?`

**microsoftOauthFactor** `ApiSessionV1MicrosoftOAuthFactor?`

**appleOauthFactor** `ApiSessionV1AppleOAuthFactor?`

**webauthnFactor** `ApiSessionV1WebAuthnFactor?`

**authenticatorAppFactor** `ApiSessionV1AuthenticatorAppFactor?`

**githubOauthFactor** `ApiSessionV1GithubOAuthFactor?`

**recoveryCodeFactor** `ApiSessionV1RecoveryCodeFactor?`

**facebookOauthFactor** `ApiSessionV1FacebookOAuthFactor?`

**cryptoWalletFactor** `ApiSessionV1CryptoWalletFactor?`

**amazonOauthFactor** `ApiSessionV1AmazonOAuthFactor?`

**bitbucketOauthFactor** `ApiSessionV1BitbucketOAuthFactor?`

**coinbaseOauthFactor** `ApiSessionV1CoinbaseOAuthFactor?`

**discordOauthFactor** `ApiSessionV1DiscordOAuthFactor?`

**figmaOauthFactor** `ApiSessionV1FigmaOAuthFactor?`

**gitLabOauthFactor** `ApiSessionV1GitLabOAuthFactor?`

**instagramOauthFactor** `ApiSessionV1InstagramOAuthFactor?`

**linkedInOauthFactor** `ApiSessionV1LinkedInOAuthFactor?`

**shopifyOauthFactor** `ApiSessionV1ShopifyOAuthFactor?`

**slackOauthFactor** `ApiSessionV1SlackOAuthFactor?`

**snapchatOauthFactor** `ApiSessionV1SnapchatOAuthFactor?`

**spotifyOauthFactor** `ApiSessionV1SpotifyOAuthFactor?`

**steamOauthFactor** `ApiSessionV1SteamOAuthFactor?`

**tikTokOauthFactor** `ApiSessionV1TikTokOAuthFactor?`

**twitchOauthFactor** `ApiSessionV1TwitchOAuthFactor?`

**twitterOauthFactor** `ApiSessionV1TwitterOAuthFactor?`

**embeddableMagicLinkFactor** `ApiSessionV1EmbeddableMagicLinkFactor?`

**biometricFactor** `ApiSessionV1BiometricFactor?`

**samlSsoFactor** `ApiSessionV1SAMLSSOFactor?`

**oidcSsoFactor** `ApiSessionV1OIDCSSOFactor?`

**salesforceOauthFactor** `ApiSessionV1SalesforceOAuthFactor?`

**yahooOauthFactor** `ApiSessionV1YahooOAuthFactor?`

**hubspotOauthFactor** `ApiSessionV1HubspotOAuthFactor?`

**slackOauthExchangeFactor** `ApiSessionV1SlackOAuthExchangeFactor?`

**hubspotOauthExchangeFactor** `ApiSessionV1HubspotOAuthExchangeFactor?`

**githubOauthExchangeFactor** `ApiSessionV1GithubOAuthExchangeFactor?`

**googleOauthExchangeFactor** `ApiSessionV1GoogleOAuthExchangeFactor?`

**impersonatedFactor** `ApiSessionV1ImpersonatedFactor?`

**oauthAccessTokenExchangeFactor** `ApiSessionV1OAuthAccessTokenExchangeFactor?`

**trustedAuthTokenFactor** `ApiSessionV1TrustedAuthTokenFactor?`

**roles** `List\<String\>` *required*

**startedAt** `Instant?`

**lastAccessedAt** `Instant?`

**expiresAt** `Instant?`

**attributes** `ApiAttributeV1Attributes?`

**properties**

**ipAddress** `String?`

**userAgent** `String?`

**customClaims** `Map\<String, JsonElement\>?`

**sessionToken** `String` *required*

**sessionJwt** `String` *required*

**user** `ApiUserV1User` *required*

**properties**

**userId** `String` *required*

**emails** `List\<ApiUserV1Email\>` *required*

**properties**

**emailId** `String` *required*

**email** `String` *required*

**verified** `Boolean` *required*

**status** `String` *required*

**phoneNumbers** `List\<ApiUserV1PhoneNumber\>` *required*

**properties**

**phoneId** `String` *required*

**phoneNumber** `String` *required*

**verified** `Boolean` *required*

**webauthnRegistrations** `List\<ApiUserV1WebAuthnRegistration\>` *required*

**properties**

**webauthnRegistrationId** `String` *required*

**domain** `String` *required*

**userAgent** `String` *required*

**verified** `Boolean` *required*

**authenticatorType** `String` *required*

**name** `String` *required*

**providers** `List\<ApiUserV1OAuthProvider\>` *required*

**properties**

**providerType** `String` *required*

**providerSubject** `String` *required*

**profilePictureUrl** `String` *required*

**locale** `String` *required*

**oauthUserRegistrationId** `String` *required*

**totps** `List\<ApiUserV1TOTP\>` *required*

**properties**

**totpId** `String` *required*

**verified** `Boolean` *required*

**cryptoWallets** `List\<ApiUserV1CryptoWallet\>` *required*

**properties**

**cryptoWalletId** `String` *required*

**cryptoWalletAddress** `String` *required*

**cryptoWalletType** `String` *required*

**verified** `Boolean` *required*

**biometricRegistrations** `List\<ApiUserV1BiometricRegistration\>` *required*

**properties**

**biometricRegistrationId** `String` *required*

**verified** `Boolean` *required*

**isLocked** `Boolean` *required*

**roles** `List\<String\>` *required*

**name** `ApiUserV1Name?`

**properties**

**firstName** `String?`

**middleName** `String?`

**lastName** `String?`

**createdAt** `Instant?`

**password** `ApiUserV1Password?`

**properties**

**passwordId** `String` *required*

**requiresReset** `Boolean` *required*

**trustedMetadata** `Map\<String, JsonElement\>?`

**untrustedMetadata** `Map\<String, JsonElement\>?`

**externalId** `String?`

**lockCreatedAt** `Instant?`

**lockExpiresAt** `Instant?`

**resetSessions** `Boolean` *required*

**userCreated** `Boolean` *required*

**statusCode** `Int` *required*

```swift theme={null}
let params = OAuthGoogleIDTokenAuthenticateParameters(
    idToken: "google-id-token",
    sessionDurationMinutes: 30
)
let response = try await StytchConsumer.oauth.authenticateGoogleIdToken(params)
```
